Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.taglib
Class SearchFile

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.meshcms.taglib.AbstractTag
              org.meshcms.taglib.SearchFile

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, com.opensymphony.module.sitemesh.RequestConstants, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public final class SearchFile
extends AbstractTag

Writes the path of the theme folder. Often used to access files included in that folder.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.meshcms.taglib.AbstractTag
`PAGE_MODULES, PARAM_REGEX`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface com.opensymphony.module.sitemesh.RequestConstants
`DECORATOR, FILTER_APPLIED, PAGE, ROBOT, USING_STREAM`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SearchFile()`

Method Summary
`java.lang.String` | `getDefaultName()`
`java.lang.String` | `getInclude()`
`java.lang.String` | `getName()`
`void` | `setDefaultName(java.lang.String defaultName)`
`void` | `setInclude(java.lang.String include)`
`void` | `setName(java.lang.String name)`
`void` | `writeTag()` Writes the contents of the tag.

Methods inherited from class org.meshcms.taglib.AbstractTag
`doStartTag, getHead, getMailFormAddress, getOut, getPage, getStartTagReturnValue, writeEditTag`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchFile

    public SearchFile()

Method Detail

### writeTag

    public void writeTag()
                  throws java.io.IOException,
                         javax.servlet.jsp.JspException

  Description copied from class: `AbstractTag`
  Writes the contents of the tag. Subclasses will use this method to write to the page.

  Specified by:
    `writeTag` in class `AbstractTag`
  Throws:
    `java.io.IOException`
    `javax.servlet.jsp.JspException`

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getDefaultName

    public java.lang.String getDefaultName()

### setDefaultName

    public void setDefaultName(java.lang.String defaultName)

### getInclude

    public java.lang.String getInclude()

### setInclude

    public void setInclude(java.lang.String include)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD